Images

Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint:

GET
https://dlx-content.com/api/v1/images

Request example:

curl --location --request GET 'https://dlx-content.com/api/v1/images' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
search
optional string
The search query.
search_by
optional string
Search by. Possible values are: name for Name. Defaults to: name.
resolution
optional string
Filter by resolution. Possible values are: 1024x1024 for 1024×1024 (Square), 1536x1024 for 1536×1024 (Portrait), 1024x1536 for 1024×1536 (Landscape).
quality
optional string
Filter by quality. Possible values are: low for Low, medium for Medium, high for High, auto for Auto.
favorite
optional boolean
Filter by favorite.
sort_by
optional string
Sort by. Possible values are: id for Date created, name for Name. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 100.
Show

API endpoint:

GET
https://dlx-content.com/api/v1/images/{id}

Request example:

curl --location --request GET 'https://dlx-content.com/api/v1/images/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint:

POST
https://dlx-content.com/api/v1/images

Request example:

curl --location --request POST 'https://dlx-content.com/api/v1/images' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}' \
--data-urlencode 'description={description}'
Parameter
Type
Description
name
required string
The image name.
description
required string
The image description for the AI.
resolution
required string
The resolution of the image. Possible values are: 1024x1024 for 1024×1024 (Square), 1536x1024 for 1536×1024 (Portrait), 1024x1536 for 1024×1536 (Landscape).
quality
optional string
The quality of the image. Possible values are: low for Low, medium for Medium, high for High, auto for Auto.
Update

API endpoint:

PUT PATCH
https://dlx-content.com/api/v1/images/{id}

Request example:

curl --location --request PUT 'https://dlx-content.com/api/v1/images/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
name
optional string
The image name.
favorite
optional boolean
Whether the image is favorite or not.
Delete

API endpoint:

DELETE
https://dlx-content.com/api/v1/images/{id}

Request example:

curl --location --request DELETE 'https://dlx-content.com/api/v1/images/{id}' \
--header 'Authorization: Bearer {api_key}'